/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 29/09/2018, 15:02:41
    Author     : Caio
*/

.ribbon-menu {
    display: block;
    position: relative;
    margin-top: 10px;
}

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    vertical-align: baseline;
}
*, *::before, *::after {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.ribbon-menu .tabs-holder {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    list-style: none inside;
    margin: 0;
    padding: 0;
    position: relative;
    z-index: 1;
    border-bottom: 1px solid #dadbdc;
}

.ribbon-menu .tabs-holder .static {
    background-color: #1979ca;
    color: #ffffff;
}
.ribbon-menu .tabs-holder li {
    color: #1d1d1d;
    background-color: #ffffff;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    border-bottom: 1px solid #dadbdc;
}
.ribbon-menu .tabs-holder li, .ribbon-menu .tabs-holder a {
    /*display: block;*/
    height: 24px;
    line-height: 24px;
}

.ribbon-menu .tabs-holder .active {
    background-color: #f5f6f7;
    border: 1px solid #dadbdc;
    border-bottom-color: transparent;
}
.ribbon-menu .tabs-holder li + li {
    margin-left: 3px;
}
.ribbon-menu .tabs-holder li {
    color: #1d1d1d;
    background-color: #ffffff;
    border-left: 1px solid transparent;
    border-right: 1px solid transparent;
    border-bottom: 1px solid #dadbdc;
}
.ribbon-menu .tabs-holder li, .ribbon-menu .tabs-holder a {
    /*display: block;*/
    height: 24px;
    line-height: 24px;
}

.ribbon-menu .tabs-holder a {
    text-decoration: none;
    padding: 0 14px;
    /*font-size: 12px;*/
    background-color: inherit;
    color: inherit;
}
.ribbon-menu .tabs-holder li, .ribbon-menu .tabs-holder a {
    /*display: block;*/
    height: 24px;
    line-height: 24px;
}

.ribbon-menu .content-holder {
    background-color: #f5f6f7;
    border-left: none;
    border-right: none;
}
.ribbon-menu .content-holder {
    display: block;
    position: relative;
}

.ribbon-menu .content-holder .section.active {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
}
.ribbon-menu .content-holder .section {
    display: none;
    padding: 4px 4px;
    border-bottom: 1px solid #dadbdc;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
}

.ribbon-menu .content-holder .section {
    display: none;
    padding: 4px 4px;
    border-bottom: 1px solid #dadbdc;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: flex-start;
}

.ribbon-menu .content-holder .group:nth-child(1):last-child {
    -ms-flex-preferred-size: 100%;
    flex-basis: 100%;
}
.ribbon-menu .content-holder .group {
    padding: 0 4px 24px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    cursor: default;
    background-color: inherit;
    position: relative;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-line-pack: start;
    align-content: flex-start;
}

.ribbon-menu .content-holder .group > *:not(.title), .ribbon-menu .content-holder .group > *:not(.group-divider) {
    margin: 2px;
}
.ribbon-button {
    height: auto;
    min-height: 64px;
    width: auto;
    padding: 4px;
    margin: 0;
}
.ribbon-button, .ribbon-tool-button, .ribbon-button-dropdown, .ribbon-icon-button {
    cursor: pointer;
    min-width: 0;
    text-align: center;
    border: 1px solid transparent;
    background-color: #f5f6f7;
    outline: none;
    position: relative;
}

.ribbon-button .caption, .ribbon-button .icon {
    display: block;
    text-align: center;
}

.ribbon-button .icon + .caption {
    margin-top: 8px;
}
.ribbon-button .caption {
    /*font-size: 12px;*/
}
.ribbon-button .caption, .ribbon-button .icon {
    display: block;
    text-align: center;
}

.ribbon-menu .content-holder .group > *:not(.title), .ribbon-menu .content-holder .group > *:not(.group-divider) {
    margin: 2px;
}
.ribbon-menu .content-holder .group .group-divider {
    display: block;
    position: relative;
    min-height: 60px;
    margin: 0 4px;
    width: 1px;
    background-color: #dadbdc;
}

.ribbon-menu .content-holder .group > *:not(.title), .ribbon-menu .content-holder .group > *:not(.group-divider) {
    margin: 2px;
}
.flex-column {
    -webkit-box-orient: vertical !important;
    -webkit-box-direction: normal !important;
    -ms-flex-direction: column !important;
    flex-direction: column !important;
}
.d-flex {
    display: -webkit-box!important;
    display: -ms-flexbox!important;
    display: flex!important;
}

.pl-1 {
    padding-left: 4px !important;
}
.pr-1 {
    padding-right: 4px !important;
}

.ribbon-menu .content-holder .group > *:not(.title), .ribbon-menu .content-holder .group > *:not(.group-divider) {
    margin: 2px;
}
.ribbon-split-button {
    text-align: center;
    border: 1px solid transparent;
    padding: 0;
    margin: 0;
}

.ribbon-split-button .ribbon-main {
    background-color: inherit;
    outline: none;
    position: relative;
    border: none;
}
.ribbon-split-button .ribbon-main, .ribbon-split-button .ribbon-split {
    display: block;
    text-align: center;
    min-width: 0;
    padding: 2px 4px;
    width: 100%;
    cursor: pointer;
}

.ribbon-split-button .ribbon-split.dropdown-toggle {
    padding-right: 4px!important;
}
.ribbon-split-button .ribbon-split {
    font-size: 12px;
    border-top: 1px solid transparent;
    padding-bottom: 4px;
}
.ribbon-split-button .ribbon-main, .ribbon-split-button .ribbon-split {
    display: block;
    text-align: center;
    min-width: 0;
    padding: 2px 4px;
    width: 100%;
    cursor: pointer;
}

.dropdown-toggle {
    position: relative;
    cursor: pointer;
    padding-right: 1.5rem !important;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.ribbon-dropdown {
    list-style: none inside;
    margin: 0;
    padding: 0;
    position: relative;
    width: auto;
    float: left;
    display: block;
    position: absolute;
    background-color: #fbfcfd;
    color: #1d1d1d;
    padding: 2px;
    border: 1px solid #dadbdc;
    font-size: 12px;
    -webkit-box-shadow: 2px 2px 2px 0 rgba(227, 228, 229, 0.7);
    box-shadow: 2px 2px 2px 0 rgba(227, 228, 229, 0.7);
    z-index: 1000;
    top: 100%;
    left: 0;

    display: none; /** depois tenho que ver o que fazer */
}


.ribbon-menu .content-holder .group > *:not(.title), .ribbon-menu .content-holder .group > *:not(.group-divider) {
    margin: 2px;
}
.flex-column {
    -webkit-box-orient: vertical !important;
    -webkit-box-direction: normal !important;
    -ms-flex-direction: column !important;
    flex-direction: column !important;
}
.d-flex {
    display: -webkit-box!important;
    display: -ms-flexbox!important;
    display: flex!important;
}

.ribbon-menu .content-holder .group > *:not(.title), .ribbon-menu .content-holder .group > *:not(.group-divider) {
    margin: 2px;
}
.ribbon-toggle-group {
    background-color: #f8f8f8;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-flow: column wrap;
    flex-flow: column wrap;
    max-height: 80px;
    border: 1px solid #dadbdc;
    width: auto;
}

.ribbon-menu .content-holder .group > *:not(.title), .ribbon-menu .content-holder .group > *:not(.group-divider) {
    margin: 2px;
}
.ribbon-menu .content-holder .group .title {
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    line-height: 24px;
    height: 20px;
    /*font-size: 11px;*/
    text-align: center;
    border-top: 1px solid #dadbdc;
    white-space: nowrap;
}